Name: repocop-unittest
Version: 0.15
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: ALT Linux default set of tests for repocop test platform.
Group: Development/Other
License: GPL or Artistic
#Url: 

Requires: repocop
#Requires: repocop-unittest-altdesktop >= 0.07
#Requires: repocop-unittest-freedesktop-mime-test
Requires: repocop-unittest-alt-alternatives-master-slave-conflict
Requires: repocop-unittest-alt-alternatives-vs-filesystem
Requires: repocop-unittest-alt-alternatives-xml
Requires: repocop-unittest-alt-desktop-iconsdir
Requires: repocop-unittest-altlinux-java
Requires: repocop-unittest-altlinux-policy-rpm-macros-packaging
Requires: repocop-unittest-bin-permissions
Requires: repocop-unittest-buildroot >= 0.04
Requires: repocop-unittest-docdir-is-not-owned
Requires: repocop-unittest-freedesktop
Requires: repocop-unittest-freedesktop-categories
Requires: repocop-unittest-init-condrestart
Requires: repocop-unittest-init-lsb
Requires: repocop-unittest-library-pkgnames >= 0.04
Requires: repocop-unittest-lintian-noncollectors >= 0.11
Requires: repocop-unittest-rpm-filetriggers >= 0.06
Requires: repocop-unittest-sisyphus_check-check-dirlist
Requires: repocop-unittest-spec-has-obsolete-macroses
Requires: repocop-unittest-spec-missing-packager
Requires: repocop-unittest-unsafe-tmp-usage-in-scripts


%description
Default set of repocop intergration tests for ALT Linux.
It is the metapackage that requires all the recommended tests.

%prep

%build
%install
mkdir -p $RPM_BUILD_ROOT

%files

%changelog
* Tue Dec 09 2008 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- added repocop-unittest-docdir-is-not-owned

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- updated required versions

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- updated required versions

* Thu Nov 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- added rpm-filetriggers 

* Wed Sep 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- added sisyphus_check-check-dirlist

* Tue Jul 22 2008 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- added repocop-unittest-spec-has-obsolete-macroses

* Tue Jul 08 2008 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- added repocop-unittest-freedesktop to the set of recommended tests.

* Tue May 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- added lintian-noncollectors to the set of recommended tests.

* Tue Apr 22 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- added library-pkgnames to the set of recommended tests.

* Sat Apr 12 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added repocop-unittest-bin-permissions

* Sat Mar 29 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- added init-lsb (info) to the set of recommended tests.

* Wed Mar 26 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- Requires: repocop-unittest-alt-alternatives-vs-filesystem
- Requires: repocop-unittest-alt-alternatives-xml
- Requires: repocop-unittest-alt-desktop-iconsdir

* Tue Mar 18 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- Requires: freedesktop-mime-test

* Fri Mar 07 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- requires freedesktop-categories

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- first build

